Support » Plugin: SearchAutocomplete » [Plugin: SearchAutocomplete] Error in Firefox console

  • Resolved herbie4

    (@herbie4)


    In standard TwentyTen theme and wp 3.1 I get the following error in Firefox error console:

    Error: invalid regular expression flag d
    Source File: http://test.site/wordpress-3.1/wp-content/plugins/search-autocomplete/autocomplete-scripts.php?ver=1.0.0
    Line: 2, Column: 88
    Source Code:
    <b>Deprecated</b>:  Assigning the return value of new by reference is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>219</b>

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author Gabe Shackle

    (@hereswhatidid)

    Could you email me the settings you have in place on your blog? I’m unable to recreate this issue here on a fresh 3.1 install running TwentyTen. Thanks!

    Plugin version 1.0.6.
    WP 3.1
    Default TwentyTen theme
    Browser Firefox 4, Safari 5.0.3, Google Chrome 10.0.x

    Google Chrome developer console output for autocomplete-script.php:

    <br />
    <b>Deprecated</b>:  Assigning the return value of new by reference is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>219</b><br />
    <br />
    <b>Deprecated</b>:  Assigning the return value of new by reference is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>234</b><br />
    <br />
    <b>Deprecated</b>:  Assigning the return value of new by reference is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>241</b><br />
    <br />
    <b>Deprecated</b>:  Assigning the return value of new by reference is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>248</b><br />
    <br />
    <b>Deprecated</b>:  Assigning the return value of new by reference is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>273</b><br />
    <br />
    <b>Deprecated</b>:  Function set_magic_quotes_runtime() is deprecated in <b>/data/www/test/wordpress-3.1/wp-settings.php</b> on line <b>27</b><br />

    It has to do with the error reporting being switched on on the server. When I switch error reporting of it works fine.

    I just added the following code to the top of wp-config.php:

    error_reporting(0);
    @ini_set(‘display_errors’, 0);

    Now it works perfectly!

    Plugin Author Gabe Shackle

    (@hereswhatidid)

    I went ahead and removed those deprecated function calls. Try upgrading to 1.0.6 and see if that also clears up the notices you were getting. I don’t get any warnings on my install with debug turned on after upgrade to 1.0.6. Thanks!

    Nope! Still get the deprecated notice and no search options with plugin version 1.0.6 just installed.

    Plugin Author Gabe Shackle

    (@hereswhatidid)

    Could you email me a screenshot of the error you’re getting? I’m unable to recreate that here on my end. Thanks!

    I replied through your website contact form. Please send me your email address so I can send you the screenshot… Thanks!

    Plugin Author Gabe Shackle

    (@hereswhatidid)

    you can reach me at: gabe -at- hereswhatidid -dot- com

    Hi,
    This looks like a really nice plugin but I can’t seem to get it to work. I’ve tried on my test site, which has the twentyten theme. Have deactivated all other plugins. Have left settings as default. Any ideas? This is my test site: http://accommodationinwanaka.co.nz/
    Cheers
    A

    Whoops! Sorry, I meant to start a new post, not hijack yours. Sorry!

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘[Plugin: SearchAutocomplete] Error in Firefox console’ is closed to new replies.